GNU bug report logs - #50898
28.0.50; with-suppressed-warnings doesn't always work

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Lars Ingebrigtsen <larsi@HIDDEN>; merged with #50984; dated Wed, 29 Sep 2021 18:54:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 50898 50984. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50898 <at> debbugs.gnu.org:


Received: (at 50898) by debbugs.gnu.org; 30 Sep 2021 00:51:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 20:51:51 2021
Received: from localhost ([127.0.0.1]:51025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVkIg-0004pF-Q7
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 20:51:51 -0400
Received: from mout.web.de ([212.227.17.11]:45033)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1mVkId-0004oy-17
 for 50898 <at> debbugs.gnu.org; Wed, 29 Sep 2021 20:51:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1632963097;
 bh=K1bwDmVhN2Au7uI3wa+puINRQMWIF3t5w0GXOMdeuBg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=gPIy6Ka4ydA4BTmJOlI6z18eJOh8fkWDjRWsSwunWsOIet463Lv5D7jCzC/5FH0lM
 x1Iq0F4pWyFLQx5jf4JKH1WFDIuLrvH/ctTDXN1VaCwx8Pw6to8Wb05wMwB/jUjNTX
 Zs/rAn//ZcS7Ax3RmcZylOTa9HAOeFvFagt900vg=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.225.87]) by smtp.web.de (mrweb102
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0M6mPA-1mi4c908FI-00wVKK; Thu, 30
 Sep 2021 02:51:37 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#50898: 28.0.50; with-suppressed-warnings doesn't always work
References: <87r1d76wne.fsf@HIDDEN>
Date: Thu, 30 Sep 2021 02:51:35 +0200
In-Reply-To: <87r1d76wne.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 29 Sep 2021 20:53:41 +0200")
Message-ID: <871r56evhk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:ttFeiOR6659nVjtv/nfbN4j7VyvPa5QD9VczVO8HUoGRgYJIw8/
 I3rFpWUxcDDyDU6xm0RMx/D6Qfi9OhQRNUvd5/QQO4vAHJ4VmxW7MuNQ87+jMvR1YbvJATq
 mIEeGg4L9z1GfcJcM8iwh/B4Jrzv4YpPD0jD2mv/+TY33nuuHA90OiqegzXS/DuapDUQBhc
 2uGhtEbR7KfxsdIEa3S/A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:clYUZNL9NCw=:EVcz9BZCpp1X9coGFGC5dl
 HP0IWVWXbcN5+JMHpKwqg/EpPYWYL4SCs5c6zRacPAHWzro/VV64x/WXBLz50/ZFFOG6btIeX
 9rEDL+4H7e3XAwz04W9v5aqeVTafEBjYMyPCfqhxY29UpSpwMNHz2H095SU5t0f6oumu4U7tR
 PhMjwFl4KKLWziSM3IgVDfEysQ2v5omKzxqkAfpT4rRDmVCKBnRTrm5c+SfDgNzWUjkNUoeIk
 2jGbaFNjK9qri4krfvHqVQXleQ2NlxmSlxElDG0ICD0CLkmVqHi56B+XD2HimDOd+mI1WxzF8
 gJUu/wyrujwER8wq5gkszjXcEJvhzOci0hPHK66UCp/Cp7GOVGta/RUpKEmqYSAVF3H7Y/5iW
 dOXn0tOrJm+/glE1Zo1E584MEflbmEdRGivMxi6tVVp+DspMruyL3A2EgVJXkwDtuhWsABr73
 C9AB3EJEU0SchN4Q83R/k8D6coc0rjnC9Eohl9noAY/ld0UT+/7U00M0lPeQFonBmXHteQPLm
 1r5v/X2CzAAbJL5/71J2g1KrB3IvhQM5FS3wBiK1x/wICGcrcG10tFEo5jXY7IdMf7LXHn7df
 Q5FE0sHEb1dDmm7rZfo0xmDeJyZJlYTwIuUyatcHA1GiEWD0bpDeqMDSjWNIxUazjHikBCObW
 ADQ5W2xwz8t+LveLVVLrGenSIBoSAMk8x6PPCXp4AYBFJt+HJ0AzD8sDwk+klilziBIdgBu10
 IbIKN/QaylP+lfJBb0fz5DbgR21fe1brgEyDNPTL36bqUjtAkC9co60WBh5ndKBabMJaLhFig
 1ArfmLaNcV8XIN/RsrvQLSAF2nKYWz7xYG9ClVfk+u6wdc8rUXKFKFCXlsf6Wa3wjvbNu367X
 KNJGvygq8oi/AkxW8q5YiS59FF1jLVx2Qw2q4xADRaQI1XzqHlHPSAMi30cTnm/e/ziALek6B
 nUq1Vec1AtS66g2vgemwlisWCR/5udDu1l6C5dx/T2goh2uxVnseCGFm3IMJEVh+hNuh65zz6
 5fJlDAB6MXFvECGefaM9WKjba9vtarzz5Hfzc7uhrQzUc2t+ROflEqsQ/soXox/apNvxYJ9uk
 60N+jGr4xfCPto=
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50898
Cc: 50898 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> (with-suppressed-warnings ((obsolete define-child-mode))
>   ;; FIXME: We should handle this some other way!
>   (define-child-mode lisp-mode emacs-lisp-mode
>     "Make `lisp-mode' inherit mode local behavior from `emacs-lisp-mode'."))
>
> And this suppression did work at some point, I think?  But it's not
> working any more.

Indeed, i experienced the same thing in another case in my own code.
And I am sure that it worked as expected in the past.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#50898; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 29 Sep 2021 18:53:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 29 14:53:58 2021
Received: from localhost ([127.0.0.1]:50234 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mVeiL-0001Rp-Jq
	for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:53:58 -0400
Received: from lists.gnu.org ([209.51.188.17]:37264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mVeiH-0001Re-RK
 for submit <at> debbugs.gnu.org; Wed, 29 Sep 2021 14:53:55 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:37618)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1mVeiH-0003Ee-Iu
 for bug-gnu-emacs@HIDDEN; Wed, 29 Sep 2021 14:53:53 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:50660)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1mVeiF-0006Zm-Tu
 for bug-gnu-emacs@HIDDEN; Wed, 29 Sep 2021 14:53:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :Date:Subject:Cc:To:From:Sender:Reply-To:Content-ID:Content-Description:
 Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc:Resent-Message-ID:
 In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=xd3FljrzVXLK/w44JKJD1zzCdNDlIpTwwr+8XNbEukQ=; b=Qwd23CBHTZqpLUxCTiGx8+L63J
 ndL23qL1QJ4yPGqCTN2tBVb8UW6oaGSRAvDFlW91jybYpjQK+tjCQKdqW9MbZq+HkP8z3pNQh5s1H
 E4LDQLrBmSZRQfgHgB5aY5LztPxihdEyeBvU6haL3kxmyaU4pEyePxw9BONfgsm4ouT4=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1mVei9-0004AK-F0; Wed, 29 Sep 2021 20:53:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; with-suppressed-warnings doesn't always work
X-Now-Playing: The Notwist's _The Devil, You + Me_: "Gravity"
Date: Wed, 29 Sep 2021 20:53:41 +0200
Message-ID: <87r1d76wne.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  For some time now, the only compilation warning in Emacs has
    been: In toplevel form: cedet/semantic/bovine/el.el:931:1: Warning: ‘define-child-mode’
    is an obsolete macro (as of 27.1); use ‘define-derived-mode’ instead.
    
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


For some time now, the only compilation warning in Emacs has been:

In toplevel form:
cedet/semantic/bovine/el.el:931:1: Warning: =E2=80=98define-child-mode=E2=
=80=99 is an obsolete
    macro (as of 27.1); use =E2=80=98define-derived-mode=E2=80=99 instead.

(It appears in two places.)  But I've forgotten to look into it.

This warning is supposed to be suppressed:

(with-suppressed-warnings ((obsolete define-child-mode))
  ;; FIXME: We should handle this some other way!
  (define-child-mode lisp-mode emacs-lisp-mode
    "Make `lisp-mode' inherit mode local behavior from `emacs-lisp-mode'."))

And this suppression did work at some point, I think?  But it's not
working any more.

I haven't tried to debug it (or bisect it) yet, but perhaps it's obvious
to somebody what change may have triggered this?  My uninformed guess
might be something to do with...  macros and when they are expanded?

I've added Stefan M to the CCs.



In GNU Emacs 28.0.50 (build 23, x86_64-pc-linux-gnu, GTK+ Version 3.24.24, =
cairo version 1.16.0)
 of 2021-09-26 built on elva
Repository revision: 43ae8c828d853382bbc2a27b9e14b9fff6ba18b6
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12011000
System Description: Debian GNU/Linux 11 (bullseye)

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Acknowledgement sent to Lars Ingebrigtsen <larsi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#50898; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 3 Oct 2021 09:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.